## prometheus-process-exporter 0.4.0%2Bds

=== debian/changelog ===
prometheus-process-exporter (0.4.0+ds-1) unstable; urgency=medium

  [ Frédéric Bonnard ]
  * Fix TestReadFixture on non 4K page size arches. TestReadFixture checks
    fixtures/14804/stat RSS which is a number of page and compares it to
    hardcoded expected value 0x7b1000 (= 1969 * 4096). Instead of using a
    4k expected value, use system's pagesize like it's done in
    proc_stat.go. Closes: #915035.

  [ Martín Ferrari ]
  * Automated fixes from cme.
  * Prefix patch with series numner.
  * Add debian/gbp.conf to describe repo configuration.
  * Claim /var/lib/prometheus directory. Closes: #915782.
  * Use DH_GOLANG_INSTALL_EXTRA instead of linking test fixtures.
  * Add myself to uploaders.
  * Add '+ds' suffix to version number to reflect repackaging done to remove
    vendoring.
  * Update watchfile for repackaging suffix.

 -- Martín Ferrari <tincho@debian.org>  Mon, 14 Jan 2019 01:33:35 +0000

prometheus-process-exporter (0.4.0-1) unstable; urgency=medium

  * Initial release. Closes: #911939.

 -- Daniel Swarbrick <daniel.swarbrick@profitbricks.com>  Fri, 26 Oct 2018 17:12:06 +0200
