=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_EXCLUDES := cmd/integration-tester cmd/load-generator
export DH_GOLANG_INSTALL_EXTRA := fixtures

BINNAME := $(DEB_SOURCE)
BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/process-exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installinit:
	dh_installinit --noscripts
