=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/process-exporter-$1\.tar\.gz/,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/ncabatoff/process-exporter/tags .*/v?(\d\S+)\.tar\.gz
