## prometheus-process-exporter 0.7.5

=== debian/changelog ===
prometheus-process-exporter (0.7.5-3) unstable; urgency=medium

  * Team upload.
  * Indent debian/watch opts contents
  * Update version.BuildUser to match the Maintainer address
  * Build-Depend on golang-any instead of golang-go
  * Add missing Pre-Depends with misc:Pre-Depends substvar

 -- Guillem Jover <gjover@sipwise.com>  Fri, 29 Jan 2021 23:49:45 +0100

prometheus-process-exporter (0.7.5-2) unstable; urgency=medium

  * Team upload.
  * Comment out disabled option in man page.
  * Build-Depend on golang-github-prometheus-procfs-dev (>= 0.2.0) instead of
    golang-procfs-dev, required by the new upstream release.
  * Add a gitlab CI configuration file.
  * Switch from vendored to packaged golang-github-ncabatoff-go-seq-dev.
  * Update Standards-Version to 4.5.1 (no changes).
  * Switch from transitional golang-yaml.v2-dev to golang-gopkg-yaml.v2-dev.
  * Add missing dependency on adduser
  * Use '' instead of `' in text
  * Add systemd service Restart directive set to on-failure
  * Improve man page formatting
  * Remove error suppression from postinst
  * Run adduser unconditionally
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Add a sysvinit init script
  * Add a logrotate fragment file
  * Add a postrm script to cleanup pidfile and log files on purge
  * Update copyright claims
  * Update gitignore entries

 -- Guillem Jover <gjover@sipwise.com>  Sat, 23 Jan 2021 03:53:41 +0100

prometheus-process-exporter (0.7.5-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release. Closes: #948002.
  * Drop repackaged branch, since upstream removed vendor directory.
  * Add patches to allow building without vendored deps:
    - 02-vendor-ncabatoff-go-seq-seq.patch
    - 03-disable-fakescraper.patch
  * Add new build-dep golang-github-prometheus-common-dev.
  * Update Standards-Version to 4.5.0 (no changes).
  * Update debhelper-compat to 13.
  * Update lintian-overrides.
  * Add upstream metadata.

  [ Guillem Jover ]
  * Update and unify default file. Closes: #953651.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Mon, 16 Nov 2020 20:11:19 +0100
