=== debian/changelog ===
prometheus-process-exporter (0.7.10-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 11:56:56 +1000

prometheus-process-exporter (0.7.10-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:34:18 +1000

prometheus-process-exporter (0.7.10-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:23:00 +0530

prometheus-process-exporter (0.7.10-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:48 +1200

prometheus-process-exporter (0.7.10-3) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * lintian-overrides: override absolute-symbolic-link-target-in-source
  * Add new 04-support-newer-exporter-toolkit.patch
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.8.0

  [ Guillem Jover ]
  * Remove --help output from default file
  * Switch to Standards-Version 4.6.1 (no changes needed)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 15 Dec 2022 03:41:28 +0000

prometheus-process-exporter (0.7.10-2) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf following latest Go Team workflow.
  * Update debian/watch file.
  * Fix typo in default file.
    Spotted by Daniel Swarbrick <dswarbrick@debian.org>.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 15 Mar 2022 23:44:42 +0100

prometheus-process-exporter (0.7.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Update debian/watch file.
  * Update dependencies for new upstream release.
  * Refresh patch for new upstream release.
  * Update man page and default file.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 26 Nov 2021 20:24:40 +0100
