## prometheus-process-exporter 0.8.2

=== debian/changelog ===
prometheus-process-exporter (0.8.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1070053)
  * Drop obsolete patches (resolved upstream):
    - 0003-Support-prometheus-exporter-toolkit-v0.8.0.patch
    - 0004-Support-prometheus-common-v0.50.0.patch
  * debian/control: drop redundant Build-Depends version constraints

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 02 May 2024 12:31:56 +0000

prometheus-process-exporter (0.7.10-4) unstable; urgency=medium

  * Convert patches to gbp-pq format
  * Add new 0004-Support-prometheus-common-v0.50.0.patch (Closes: #1067275)
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 21 Mar 2024 15:19:54 +0000
