=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-process-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
            Martina Ferrari <tina@debian.org>,
 Section: net
@@ -11,13 +10,13 @@
                golang-any,
                golang-github-google-go-cmp-dev,
                golang-github-ncabatoff-go-seq-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
-               golang-github-prometheus-procfs-dev (>= 0.2.0),
+               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-procfs-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git
