=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-github-prometheus-procfs-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git
