## prometheus-process-exporter 0.8.5

=== debian/changelog ===
prometheus-process-exporter (0.8.5-1) unstable; urgency=medium

  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Refresh patches
  * Bump Standards-Version to 4.7.1 (no changes)
  * Add new 0003-Backport-PR-330.patch to replace go-kit/log with standard
    library log/slog (via exporter-toolkit promslog wrapper)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 26 Feb 2025 20:48:33 +0000
