=== debian/control ===
Source: prometheus-process-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
           Martina Ferrari <tina@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-ncabatoff-go-seq-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
               golang-github-prometheus-procfs-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git
Homepage: https://github.com/ncabatoff/process-exporter
XS-Go-Import-Path: github.com/ncabatoff/process-exporter

Package: prometheus-process-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter that exposes process metrics from procfs
 Some apps are impractical to instrument directly, either because you don't
 control the code or they're written in a language that isn't easy to
 instrument with Prometheus. This exporter solves that issue by mining
 process metrics from procfs.
