=== debian/changelog ===
prometheus-process-exporter (0.8.7-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2 (no changes)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Aug 2025 14:44:29 +0000
