=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git
 Homepage: https://github.com/ncabatoff/process-exporter
